Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.management
Class CascadingServices

    java.lang.Object
      cascading.management.CascadingServices

    public class CascadingServices

extends Object

Class CascadingServices is the root class for pluggable services Cascading can call out to for distributed monitoring and management systems.

Be default all services will be loaded from the jar `cascading/management/service.properties` (`DEFAULT_PROPERTIES`) resource is found in. If the property `CONTAINER_ENABLED` value is `false`, a ClassLoader container will not be created.

For this to work, all service implementation and dependencies must be archived into a single jar.

If any packages in the jar should be excluded, set a comma delimited list of names via the `CONTAINER_EXCLUDE` property.

If the file `cascading-service.properties` (`CASCADING_SERVICES`) is found in the CLASSPATH, the `cascading.management.service.jar` property value will be used to search for `cascading/management/service.properties` resource.

See Also:
  `CascadingService`

Nested Class Summary
`static class` | `CascadingServices.NullDocumentService` Class NullDocumentService provides a null implementation.
`static class` | `CascadingServices.NullMetricsService` Class NullMetricsService provides a null implementation.

Field Summary
`static String` | `CASCADING_SERVICES`
`static String` | `CASCADING_SERVICES_JAR`
`static String` | `CONTAINER_ENABLED`
`static String` | `CONTAINER_EXCLUDE`
`static String` | `DEFAULT_PROPERTIES`

Constructor Summary
`CascadingServices(Map<Object,Object> properties)`

Method Summary
`ClientState` | `createClientState(String id)`
`protected DocumentService` | `createDocumentService()`
`protected MetricsService` | `createMetricsService()`
`DocumentService` | `getDocumentService()`
`MetricsService` | `getMetricsService()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CASCADING_SERVICES

    public static final String CASCADING_SERVICES

See Also:
  Constant Field Values

### CASCADING_SERVICES_JAR

    public static final String CASCADING_SERVICES_JAR

See Also:
  Constant Field Values

### DEFAULT_PROPERTIES

    public static final String DEFAULT_PROPERTIES

See Also:
  Constant Field Values

### CONTAINER_ENABLED

    public static final String CONTAINER_ENABLED

See Also:
  Constant Field Values

### CONTAINER_EXCLUDE

    public static final String CONTAINER_EXCLUDE

See Also:
  Constant Field Values

Constructor Detail

### CascadingServices

    public CascadingServices(Map<Object,Object> properties)

Method Detail

### getMetricsService

    public MetricsService getMetricsService()

### getDocumentService

    public DocumentService getDocumentService()

### createClientState

    public ClientState createClientState(String id)

### createMetricsService

    protected MetricsService createMetricsService()

### createDocumentService

    protected DocumentService createDocumentService()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.